Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/promotions/{campaignId}/stacks/{stackId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "stack_p0WhtyyDU95crobleMpRabhH",
"name": "First stack",
"created_at": "2022-09-22T13:03:25.740Z",
"campaign_id": "camp_99HUWI53bVyLzPN1Fg5TBLWX",
"object": "promotion_stack",
"tiers": {
"ids": [
"promo_dJNhAEeV5sR5oPQq1UrUdnMC",
"promo_aaAF8mVAzA0PF1igia2OC63d"
],
"hierarchy_mode": "MANUAL"
}
}This method returns the details of a promotion stack, including the promotion tiers grouped within the stack.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/promotions/{campaignId}/stacks/{stackId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "stack_p0WhtyyDU95crobleMpRabhH",
"name": "First stack",
"created_at": "2022-09-22T13:03:25.740Z",
"campaign_id": "camp_99HUWI53bVyLzPN1Fg5TBLWX",
"object": "promotion_stack",
"tiers": {
"ids": [
"promo_dJNhAEeV5sR5oPQq1UrUdnMC",
"promo_aaAF8mVAzA0PF1igia2OC63d"
],
"hierarchy_mode": "MANUAL"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
ID of the promotion campaign. You can either pass the campaign ID, which was assigned by Voucherify, or the name of the campaign as the path parameter value, e.g., Loyalty Campaign.
"camp_rRsfatlwN7unSeUIJDCYedal"
Promotion stack ID.
"stack_KOIde7AUf08at12lZ1r3OfFL"
Returns a stack object if valid identifiers were provided in the path.
Response body schema for GET v1/promotions/{campaignId}/stacks/{stackId}.
Promotion stack name.
Contains the tier configuration. A promotion stack can include up to 30 tiers.
Show child attributes
Unique promotion stack ID.
Timestamp representing the date and time when the promotion stack was created. The value is shown in the ISO 8601 format.
Promotion stack's parent campaign's unique ID.
The type of the object represented by JSON.
promotion_stack Promotion stack category ID.
Details about the category assigned to the promotion stack.
Show child attributes
Timestamp representing the date and time when the promotion stack was updated. The value is shown in the ISO 8601 format.
Was this page helpful?